package de.jottyfan.timetrack.modules.done;

import java.text.SimpleDateFormat;
import java.util.Calendar;

/**
 * 
 * @author henkej
 *
 */
public class TimeBean {
	private final String value;
	private final String look;

	public TimeBean(String value, String look) {
		super();
		this.value = value;
		this.look = look;
	}

	public TimeBean(Calendar calendar, String look) {
		this(new SimpleDateFormat("HH:mm").format(calendar.getTime()), look);
	}
	
	public String getValue() {
		return value;
	}

	public String getLook() {
		return look;
	}
}
