package de.jottyfan.timetrack.modules.done;

/**
 * 
 * @author henkej
 *
 */
public class DailySummaryBean {
	private final String projectName;
	private final String moduleName;
	private final String jobName;
	private final String duration;
	private final String billingShortcut;
	private final String billingCsskey;
	private final Double durationHours;

	public DailySummaryBean(String projectName, String moduleName, String jobName, String duration, String billingShortcut, String billingCsskey, Double durationHours) {
		super();
		this.projectName = projectName;
		this.moduleName = moduleName;
		this.jobName = jobName;
		this.duration = duration;
		this.billingShortcut = billingShortcut;
		this.billingCsskey = billingCsskey;
		this.durationHours = durationHours;
	}

	public String getProjectName() {
		return projectName;
	}

	public String getModuleName() {
		return moduleName;
	}

	public String getJobName() {
		return jobName;
	}

	public String getDuration() {
		return duration;
	}

  /**
   * @return the billing shortcut
   */
  public String getBillingShortcut() {
    return billingShortcut;
  }

  /**
   * @return the billing csskey
   */
  public String getBillingCsskey() {
    return billingCsskey;
  }

  /**
   * @return the durationHours
   */
  public Double getDurationHours() {
    return durationHours;
  };
}
